<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Uses of Class model.Position</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class model.Position";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/Position.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/Position.html" target="_top">Frames</a></li>
<li><a href="Position.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class model.Position" class="title">Uses of Class<br>model.Position</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../model/Position.html" title="class in model">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#controler">controler</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#model">model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#view">view</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="controler">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Position.html" title="class in model">Position</a> in <a href="../../controler/package-summary.html">controler</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../controler/package-summary.html">controler</a> that return <a href="../../model/Position.html" title="class in model">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><span class="strong">Game.</span><code><strong><a href="../../controler/Game.html#getNextPosition()">getNextPosition</a></strong>()</code>
<div class="block">Gets the next position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><span class="strong">ListenerCreationPiece.</span><code><strong><a href="../../controler/ListenerCreationPiece.html#getPosition(javax.swing.JLabel)">getPosition</a></strong>(javax.swing.JLabel&nbsp;label)</code>
<div class="block">Gets the position.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><span class="strong">GridListener.</span><code><strong><a href="../../controler/GridListener.html#getPosition(javax.swing.JLabel)">getPosition</a></strong>(javax.swing.JLabel&nbsp;label)</code>
<div class="block">Gets the position of the jLabel on the grid.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../controler/package-summary.html">controler</a> with parameters of type <a href="../../model/Position.html" title="class in model">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Game.</span><code><strong><a href="../../controler/Game.html#setNextPosition(model.Position)">setNextPosition</a></strong>(<a href="../../model/Position.html" title="class in model">Position</a>&nbsp;nextPosition)</code>
<div class="block">Sets the next position.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="model">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Position.html" title="class in model">Position</a> in <a href="../../model/package-summary.html">model</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> that return <a href="../../model/Position.html" title="class in model">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><span class="strong">IA.</span><code><strong><a href="../../model/IA.html#getNextPosition()">getNextPosition</a></strong>()</code>
<div class="block">Gets the next position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><span class="strong">Player.</span><code><strong><a href="../../model/Player.html#getOrigin()">getOrigin</a></strong>()</code>
<div class="block">Get the origin of the players.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#tryAllKeepRotate(model.Piece,%20model.Position)">tryAllKeepRotate</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> with parameters of type <a href="../../model/Position.html" title="class in model">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#addPiece(model.Piece,%20model.Position)">addPiece</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
        <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;position)</code>
<div class="block">Adds the piece to the map and check it with tryAdd.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getAdjacent(model.Piece,%20model.Position)">getAdjacent</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
           <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Gets the adjacent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getAdjacentActualPlayer(model.Piece,%20model.Position)">getAdjacentActualPlayer</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                       <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Gets the adjacent actual player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getAncre(model.Piece,%20model.Position)">getAncre</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
        <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Gets the anchor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getAncreOtherPlayer(model.Piece,%20model.Position,%20model.GameRule)">getAncreOtherPlayer</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                   <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos,
                   <a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the anchor of other player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#getWeight(model.Piece,%20model.Position,%20int,%20model.GameRule)">getWeight</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
         <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos,
         int&nbsp;level,
         <a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Gets the weight.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">IA.</span><code><strong><a href="../../model/IA.html#setNextPosition(model.Position)">setNextPosition</a></strong>(<a href="../../model/Position.html" title="class in model">Position</a>&nbsp;nextPosition)</code>
<div class="block">Sets the next position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Player.</span><code><strong><a href="../../model/Player.html#setOrigin(model.Position)">setOrigin</a></strong>(<a href="../../model/Position.html" title="class in model">Position</a>&nbsp;origin)</code>
<div class="block">Set the origin of the players.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#tryAdd(model.Piece,%20model.Position)">tryAdd</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
      <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;position)</code>
<div class="block">Check if the specify piece and position can be place on the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#tryAll(model.Piece,%20model.Position)">tryAll</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
      <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Try all usable piece in all different ways but do not change the initial state of the piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Position.html" title="class in model">Position</a></code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#tryAllKeepRotate(model.Piece,%20model.Position)">tryAllKeepRotate</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
                <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos)</code>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><span class="strong">Map.</span><code><strong><a href="../../model/Map.html#tryAllWeight(model.Piece,%20model.Position,%20int,%20int,%20model.GameRule)">tryAllWeight</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;p,
            <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;pos,
            int&nbsp;level,
            int&nbsp;minWeight,
            <a href="../../model/GameRule.html" title="class in model">GameRule</a>&nbsp;gr)</code>
<div class="block">Try all usable piece in all different ways and change the initial state of the piece.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="view">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Position.html" title="class in model">Position</a> in <a href="../../view/package-summary.html">view</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../view/package-summary.html">view</a> with parameters of type <a href="../../model/Position.html" title="class in model">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">MenuPiece.</span><code><strong><a href="../../view/MenuPiece.html#add(model.Position)">add</a></strong>(<a href="../../model/Position.html" title="class in model">Position</a>&nbsp;p)</code>
<div class="block">Add a part of the piece on the screen and on the futur piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Grid.</span><code><strong><a href="../../view/Grid.html#addFragmentOfPiece(model.Piece,%20model.Position)">addFragmentOfPiece</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
                  <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;position)</code>
<div class="block">Adds the fragment of piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">MenuPiece.</span><code><strong><a href="../../view/MenuPiece.html#addHover(model.Position)">addHover</a></strong>(<a href="../../model/Position.html" title="class in model">Position</a>&nbsp;p)</code>
<div class="block">Adds a hover effect(the actual jLabel where the cursor is have its border changed).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Grid.</span><code><strong><a href="../../view/Grid.html#addPiece(model.Piece,%20model.Position)">addPiece</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
        <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;position)</code>
<div class="block">Adds the piece in the grid a the position given.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Grid.</span><code><strong><a href="../../view/Grid.html#addTemporalPiece(model.Piece,%20model.Position)">addTemporalPiece</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
                <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;position)</code>
<div class="block">Adds the future piece temporally.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">Grid.</span><code><strong><a href="../../view/Grid.html#addTemporalPieceDev(model.Piece,%20model.Position)">addTemporalPieceDev</a></strong>(<a href="../../model/Piece.html" title="class in model">Piece</a>&nbsp;piece,
                   <a href="../../model/Position.html" title="class in model">Position</a>&nbsp;position)</code>
<div class="block">Adds the future developer piece temporally.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">MenuPiece.</span><code><strong><a href="../../view/MenuPiece.html#remove(model.Position)">remove</a></strong>(<a href="../../model/Position.html" title="class in model">Position</a>&nbsp;p)</code>
<div class="block">Removes a part of the piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="strong">MenuPiece.</span><code><strong><a href="../../view/MenuPiece.html#removeHover(model.Position)">removeHover</a></strong>(<a href="../../model/Position.html" title="class in model">Position</a>&nbsp;p)</code>
<div class="block">Removes the hover effect.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/Position.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/Position.html" target="_top">Frames</a></li>
<li><a href="Position.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
